| DocBook: The Definitive Guide 2.0.17 (Alpha)

# replaceable

$Revision$

$Date$

replaceable — Content that may or must be replaced by the user

## Synopsis

### Mixed Content Model

    replaceable ::=
    (#PCDATA|link|olink|ulink|optional|anchor|remark|subscript|
     superscript|inlinegraphic|inlinemediaobject|co)*

### Attributes

Common attributes

Name | Type | Default

class

Enumeration:
command
function
option
parameter

None

## Description

`Replaceable` is used to mark text that describes what a user is supposed to enter, but not the actual text that they are supposed to enter.

It is used to identify a class of object in the document, in which the user is expected to replace the text that identifies the class with some specific instance of that class. A canonical example is

    <replaceable>filename</replaceable>

in which the user is expected to provide the name of some specific file to replace the text “filename.”

### Processing expectations

Formatted inline. Usually, the text is given special typographic treatment, such as italics, as a clue to the user that this is replaceable text. Often the font used is described in a “conventions” section at the beginning of the document.

### Parents

These elements contain replaceable: `accel`, `ackno`, `action`, `application`, `arg`, `artpagenums`, `attribution`, `authorinitials`, `bibliocoverage`, `biblioid`, `bibliomisc`, `bibliorelation`, `bibliosource`, `bridgehead`, `citation`, `citebiblioid`, `citetitle`, `city`, `classname`, `classsynopsisinfo`, `code`, `collabname`, `command`, `computeroutput`, `confdates`, `confnum`, `confsponsor`, `conftitle`, `constant`, `contractnum`, `contractsponsor`, `contrib`, `corpauthor`, `corpcredit`, `corpname`, `country`, `database`, `date`, `edition`, `email`, `emphasis`, `entry`, `envar`, `errorcode`, `errorname`, `errortext`, `errortype`, `exceptionname`, `fax`, `filename`, `firstname`, `firstterm`, `foreignphrase`, `funcdef`, `funcparams`, `funcsynopsisinfo`, `function`, `glosssee`, `glossseealso`, `glossterm`, `group`, `guibutton`, `guiicon`, `guilabel`, `guimenu`, `guimenuitem`, `guisubmenu`, `hardware`, `holder`, `honorific`, `initializer`, `interface`, `interfacename`, `invpartnumber`, `isbn`, `issn`, `issuenum`, `jobtitle`, `keycap`, `keycode`, `keysym`, `lineage`, `lineannotation`, `link`, `literal`, `literallayout`, `lotentry`, `markup`, `medialabel`, `member`, `methodname`, `modespec`, `modifier`, `mousebutton`, `msgaud`, `msglevel`, `msgorig`, `olink`, `option`, `optional`, `orgdiv`, `orgname`, `otheraddr`, `othername`, `package`, `pagenums`, `para`, `paramdef`, `parameter`, `phone`, `phrase`, `pob`, `postcode`, `primary`, `primaryie`, `productname`, `productnumber`, `programlisting`, `prompt`, `property`, `pubdate`, `publishername`, `pubsnumber`, `quote`, `refdescriptor`, `refentrytitle`, `refmiscinfo`, `refname`, `refpurpose`, `releaseinfo`, `remark`, `returnvalue`, `revnumber`, `revremark`, `screen`, `screeninfo`, `secondary`, `secondaryie`, `see`, `seealso`, `seealsoie`, `seeie`, `seg`, `segtitle`, `seriesvolnums`, `sgmltag`, `shortaffil`, `simpara`, `state`, `street`, `structfield`, `structname`, `subscript`, `subtitle`, `superscript`, `surname`, `symbol`, `synopsis`, `systemitem`, `td`, `term`, `termdef`, `tertiary`, `tertiaryie`, `th`, `title`, `titleabbrev`, `tocback`, `tocentry`, `tocfront`, `token`, `trademark`, `type`, `ulink`, `uri`, `userinput`, `varname`, `volumenum`, `year`.

### Children

The following elements occur in replaceable: `anchor`, `co`, `inlinegraphic`, `inlinemediaobject`, `link`, `olink`, `optional`, `remark`, `subscript`, `superscript`, `ulink`.

## Attributes

class

  `Class` identifies the type of the replaceable information.

## See Also

`command`, `computeroutput`, `constant`, `literal`, `markup`, `option`, `optional`, `parameter`, `prompt`, `sgmltag`, `userinput`, `varname`.

## Examples

For examples, see `cmdsynopsis`, `medialabel`, `msgset`, `synopfragment`.

remark |  | returnvalue

Copyright © 1999, 2000, 2001, 2002, 2003 O'Reilly & Associates, Inc. All rights reserved.